# encoding: utf-8

import datetime

from south.db import db
from south.v2 import SchemaMigration

from django.db import models


class Migration(SchemaMigration):
    
    def forwards(self, orm):
        
        # Adding model 'MenuIcon'
        db.create_table('extradmin_menuicon', (
            ('id', self.gf(
                'django.db.models.fields.AutoField')(primary_key=True)),
            ('file', self.gf(
                'django.db.models.fields.files.ImageField')(max_length=255)),
            ('description', self.gf(
                'django.db.models.fields.CharField')(max_length=50)),
        ))
        db.send_create_signal('extradmin', ['MenuIcon'])

        # Adding model 'MenuSection'
        db.create_table('extradmin_menusection', (
            ('id', self.gf(
                'django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf(
                'django.db.models.fields.CharField')(max_length=50)),
            ('position', self.gf(
                'django.db.models.fields.PositiveIntegerField')(default=0)),
        ))
        db.send_create_signal('extradmin', ['MenuSection'])

        # Adding model 'MenuItem'
        db.create_table('extradmin_menuitem', (
            ('id', self.gf(
                'django.db.models.fields.AutoField')(primary_key=True)),
            ('icon', self.gf(
                'django.db.models.fields.related.ForeignKey')(
                    related_name='items',
                    to=orm['extradmin.MenuIcon'])),
            ('name', self.gf(
                'django.db.models.fields.CharField')(max_length=50)),
            ('content_type', self.gf(
                'django.db.models.fields.related.ForeignKey')(
                    to=orm['contenttypes.ContentType'])),
            ('section', self.gf(
                'django.db.models.fields.related.ForeignKey')(
                    related_name='sections',
                    to=orm['extradmin.MenuSection'])),
            ('position', self.gf(
                'django.db.models.fields.PositiveIntegerField')(default=0)),
        ))
        db.send_create_signal('extradmin', ['MenuItem'])
    
    def backwards(self, orm):
        
        # Deleting model 'MenuIcon'
        db.delete_table('extradmin_menuicon')

        # Deleting model 'MenuSection'
        db.delete_table('extradmin_menusection')

        # Deleting model 'MenuItem'
        db.delete_table('extradmin_menuitem')
    
    models = {
        'contenttypes.contenttype': {
            'Meta': {
                'unique_together': "(('app_label', 'model'),)",
                'object_name': 'ContentType',
                'db_table': "'django_content_type'"},
            'app_label': (
                'django.db.models.fields.CharField', [],
                {'max_length': '100'}),
            'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'}),
            'model': (
                'django.db.models.fields.CharField', [],
                {'max_length': '100'}),
            'name': (
                'django.db.models.fields.CharField', [],
                {'max_length': '100'})
        },
        'extradmin.menuicon': {
            'Meta': {'object_name': 'MenuIcon'},
            'description': (
                'django.db.models.fields.CharField', [],
                {'max_length': '50'}),
            'file': (
                'django.db.models.fields.files.ImageField', [],
                {'max_length': '255'}),
            'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'})
        },
        'extradmin.menuitem': {
            'Meta': {'object_name': 'MenuItem'},
            'content_type': (
                'django.db.models.fields.related.ForeignKey', [],
                {'to': "orm['contenttypes.ContentType']"}),
            'icon': (
                'django.db.models.fields.related.ForeignKey', [],
                {'related_name': "'items'",
                 'to': "orm['extradmin.MenuIcon']"}),
            'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'}),
            'name': (
                'django.db.models.fields.CharField', [],
                {'max_length': '50'}),
            'position': (
                'django.db.models.fields.PositiveIntegerField', [],
                {'default': '0'}),
            'section': (
                'django.db.models.fields.related.ForeignKey', [],
                {'related_name': "'sections'",
                 'to': "orm['extradmin.MenuSection']"})
        },
        'extradmin.menusection': {
            'Meta': {'object_name': 'MenuSection'},
            'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'}),
            'name': (
                'django.db.models.fields.CharField', [],
                {'max_length': '50'}),
            'position': (
                'django.db.models.fields.PositiveIntegerField', [],
                {'default': '0'})
        }
    }
    
    complete_apps = ['extradmin']
